[arch-commits] Commit in gnome-volume-manager/trunk (PKGBUILD gvm-check-local.patch)

Jan de Groot jgc at archlinux.org
Sat Oct 11 13:50:38 EDT 2008


    Date: Saturday, October 11, 2008 @ 13:50:38
  Author: jgc
Revision: 14930

upgpkg: gnome-volume-manager 2.24.0-1

Modified:
  gnome-volume-manager/trunk/PKGBUILD
Deleted:
  gnome-volume-manager/trunk/gvm-check-local.patch

-----------------------+
 PKGBUILD              |   29 +++++++++------------
 gvm-check-local.patch |   64 ------------------------------------------------
 2 files changed, 13 insertions(+), 80 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 17:44:05 UTC (rev 14929)
+++ PKGBUILD	2008-10-11 17:50:38 UTC (rev 14930)
@@ -3,34 +3,31 @@
 # Contributor: Link Dupont <link at subpop.net>
 
 pkgname=gnome-volume-manager
-pkgver=2.22.5
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="GNOME daemon to auto-mount and manage media devices"
 arch=(i686 x86_64)
 license=('GPL')
 url=http://www.gnome.org/
-depends=('libgnomeui>=2.22.1' 'libnotify>=0.4.4' 'gnome-mount>=0.8')
-makedepends=('nautilus>=2.22.2' 'perlxml' 'pkgconfig')
+depends=('libgnomeui>=2.24.0' 'libnotify>=0.4.4')
+makedepends=('nautilus>=2.24.0' 'perlxml' 'pkgconfig')
 install=gnome-volume-manager.install
 groups=('gnome-extra')
 options=(!emptydirs)
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2
-	gvm-mount-async.patch
-	gvm-check-local.patch)
-md5sums=('e761a5bdc8867419eb278c9e1a6a79ff'
-         '534b8b9633148bd975b2b9b518c41fb4'
-         '0171374e6bfda523c09a7dbfc1ec0c11')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2
+	gvm-mount-async.patch)
+md5sums=('a8ae620c2633f3ac13444736ef61122a'
+         '534b8b9633148bd975b2b9b518c41fb4')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i ${startdir}/src/gvm-mount-async.patch || return 1
-  patch -Np0 -i ${startdir}/src/gvm-check-local.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/gvm-mount-async.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --libexecdir=/usr/lib/gnome-volume-manager || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Deleted: gvm-check-local.patch
===================================================================
--- gvm-check-local.patch	2008-10-11 17:44:05 UTC (rev 14929)
+++ gvm-check-local.patch	2008-10-11 17:50:38 UTC (rev 14930)
@@ -1,64 +0,0 @@
---- src/manager.c.orig	2008-03-16 15:14:05.000000000 +0000
-+++ src/manager.c	2008-03-16 15:16:03.000000000 +0000
-@@ -3637,58 +3637,9 @@
- static gboolean
- gvm_user_is_local_fallback (void)
- {
--	static guint local = 0;
--	struct dirent *dent;
--	struct utmp *utmp;
--	const char *user;
--	char *vtend;
--	size_t n;
--	DIR *dir;
--	int vt;
--	
--	if (local & LOCAL_USER_CHECKED)
--		return (local & LOCAL_USER_FOUND);
--	
--	user = g_get_user_name ();
--	n = strlen (user);
--	
--	if (!(dir = opendir (GVM_CONSOLE_AUTH_DIR)))
--		goto fallback;
--	
--	/* this works for pam_console ($path/user) and pam_foreground ($path/user:vt) - see bug #336932 */
--	while ((dent = readdir (dir))) {
--                if (!strncmp (user, dent->d_name, n)
--		    && (dent->d_name[n] == '\0'
--			|| (dent->d_name[n] == ':'
--			    && ((vt = strtol (dent->d_name + n + 1, &vtend, 10)) >= 0)
--			    && *vtend == '\0'))) {
--			local = LOCAL_USER_FOUND;
--			break;
--		}
--	}
--	
--	closedir (dir);
--	
-- fallback:
--	
--	if (!(local & LOCAL_USER_FOUND)) {
--		setutent ();
--		
--		while (!(local & LOCAL_USER_FOUND) && (utmp = getutent ())) {
--			if (utmp->ut_type != USER_PROCESS || strncmp (utmp->ut_user, user, n) != 0)
--				continue;
--			
--			/* only accept local X sessions or local tty's (user started X via `startx`) */
--			local = (utmp->ut_line[0] == ':' && utmp->ut_line[1] >= '0' && utmp->ut_line[1] <= '9')
--				|| !strncmp (utmp->ut_line, "tty", 3) ? LOCAL_USER_FOUND : 0;
--		}
--		
--		endutent ();
--	}
--	
--	local |= LOCAL_USER_CHECKED;
--	
--	return (local & LOCAL_USER_FOUND);
-+	const gchar* display;
-+	display = g_getenv("DISPLAY");
-+	return (display != NULL && display[0] == ':');
- }
- #endif /* __linux__ */
- 




More information about the arch-commits mailing list